const log4js = require('log4js')
// 配置 log4js
log4js.configure({
    //输出格式
    appenders: {
        nodeFile: {
            type: 'dateFile',
            filename: 'logs/node/application.log', // 指定日志文件的路径和基本名称
            pattern: '.yyyy-MM-dd', // 文件名后缀的日期格式
            compress: true, // 当日志文件滚动时，压缩（归档）旧文件
            numBackups: 30, // 保留30个备份文件
            keepFileExt: true, // 保持文件扩展名
            layout: {
                type: 'pattern',
                pattern: '[%d] [%p] %c - %m', // 自定义日志格式
            }
        },
        console: {
            type: 'console',
            layout: {
                type: 'pattern',
                pattern: '[%d] [%p] %c - %m', // 自定义日志格式
            }
        }
    },
    //TRACE>DEBUG>INFO >WARN>ERROR>FATAL\
    //default 代表默认的日志对象 ： log4js.getLogger();
    //日志对象
    categories: {
        //控制台输出对象
        default: {
            appenders: ['console','nodeFile'],
            level: 'TRACE'
        },
        // //文件输出对象
        // infoFile: {
        //     appenders: ['fileAppender'],
        //     level: 'DEBUG'
        // }
    }
});


// 获取默认logger（控制台）
const logger = log4js.getLogger();
// 获取记录info级别日志到文件的logger
// const fileLogger = log4js.getLogger('infoFile');


module.exports = {logger};